;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 15

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1

;-| AI |-----------------------------------------------------------
[command]
name = "AI_1"
command = D,D,D,D,D,D,D,D
time = 0
[command]
name = "AI_2"
command = D,D,D,D,D,D,D,D
time = 0
[command]
name = "AI_3"
command = D,D,D,D,D,D,D,D
time = 0
[command]
name = "AI_4"
command = z,z,z,z,z,z,z,z
time = 0
[command]
name = "AI_5"
command = z,z,z,z,z,z,z,z
time = 0
[command]
name = "AI_6"
command = z,z,z,z,z,z,z,z
time = 0
[command]
name = "AI_7"
command = B,B,B,B,B,B,B,B
time = 0
[command]
name = "AI_8"
command = B,B,B,B,B,B,B,B
time = 0
[command]
name = "AI_9"
command = B,B,B,B,B,B,B,B
time = 0
[command]
name = "AI_10"
command = x,x,x,x,x,x,x,x
time = 0
[command]
name = "AI_11"
command = x,x,x,x,x,x,x,x
time = 0
[command]
name = "AI_12"
command = x,x,x,x,x,x,x,x
time = 0
[command]
name = "AI_13"
command = U,U,U,U,U,U,U,U
time = 0
[command]
name = "AI_14"
command = U,U,U,U,U,U,U,U
time = 0
[command]
name = "AI_15"
command = U,U,U,U,U,U,U,U
time = 0
[command]
name = "AI_16"
command = a,a,a,a,a,a,a,a
time = 0
[command]
name = "AI_17"
command = a,a,a,a,a,a,a,a
time = 0
[command]
name = "AI_18"
command = a,a,a,a,a,a,a,a
time = 0
[command]
name = "AI_19"
command = F,F,F,F,F,F,F,F
time = 0
[command]
name = "AI_20"
command = F,F,F,F,F,F,F,F
time = 0
[command]
name = "AI_21"
command = F,F,F,F,F,F,F,F
time = 0
[command]
name = "AI_22"
command = b,b,b,b,b,b,b,b
time = 0
[command]
name = "AI_23"
command = b,b,b,b,b,b,b,b
time = 0
[command]
name = "AI_24"
command = b,b,b,b,b,b,b,b
time = 0
[command]
name = "AI_25"
command = y,y,y,y,y,y,y,y
time = 0
[command]
name = "AI_26"
command = y,y,y,y,y,y,y,y
time = 0
[command]
name = "AI_27"
command = y,y,y,y,y,y,y,y
time = 0
[command]
name = "AI_28"
command = s,s,s,s,s,s,s,s
time = 0
[command]
name = "AI_29"
command = s,s,s,s,s,s,s,s
time = 0
[command]
name = "AI_30"
command = s,s,s,s,s,s,s,s
time = 0


;-| Super Motions |--------------------------------------------------------
;The following two have the same name, but different motion.
;Either one will be detected by a "command = TripleKFPalm" trigger.
;Time is set to 20 (instead of default of 15) to make the move
;easier to do.
;
[Command]
name = "TripleKFPalm"
command = ~D, DF, F, D, DF, F, x
time = 20

[Command]
name = "TripleKFPalm"   ;Same name as above
command = ~D, DF, F, D, DF, F, y
time = 20

[Command]
name = "SmashKFUpper"
command = ~D, DB, B, D, DB, B, x;~F, D, DF, F, D, DF, x
time = 20

[Command]
name = "SmashKFUpper"   ;Same name as above
command = ~D, DB, B, D, DB, B, y;~F, D, DF, F, D, DF, y
time = 20

;-| Special Motions |------------------------------------------------------
[Command]
name = "upper_x"
command = ~F, D, DF, x

[Command]
name = "upper_y"
command = ~F, D, DF, y

[Command]
name = "upper_xy"
command = ~F, D, DF, x+y

[Command]
name = "QCF_x"
command = ~D, DF, F, x

[Command]
name = "QCF_y"
command = ~D, DF, F, y

[Command]
name = "QCF_xy"
command = ~D, DF, F, x+y

[Command]
name = "QCB_x"
command = ~D, DB, B, x

[Command]
name = "QCB_y"
command = ~D, DB, B, y

[Command]
name = "QCB_xy"
command = ~D, DB, B, x+y

[Command]
name = "FF_ab"
command = F, F, a+b

[Command]
name = "FF_a"
command = F, F, a

[Command]
name = "FF_b"
command = F, F, b

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
;
; Each state entry block looks like:
;   [State -1, Label]           ;Change Label to any name you want to use to
;                               ;identify the state with.
;   type = ChangeState          ;Don't change this
;   value = new_state_number
;   trigger1 = command = command_name
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       S, C or A : current state-type of player (stand, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - useful for "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                useful for "move interrupts"
;
; Note: The order of state entry is important.
;   State entry with a certain command must come before another state
;   entry with a command that is the subset of the first.
;   For example, command "fwd_a" must be listed before "a", and
;   "fwd_ab" should come before both of the others.
;
; For reference on triggers, see CNS documentation.
;
; Just for your information (skip if you're not interested):
; This part is an extension of the CNS. "State -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in.


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]
;===========================================================================
;---------------------------------------------------------------------------
;Smash Kung Fu Upper (uses one super bar)
;X}bVEJt[EEbp[iQ[WxPj
[State -1, Smash Kung Fu Upper]
type = ChangeState
value = 3050
triggerall = command = "SmashKFUpper"
triggerall = power >= 1000
triggerall = statetype != A
trigger1 = ctrl
trigger2 = hitdefattr = SC, NA, SA, HA
trigger2 = stateno != [3050,3100)
trigger2 = movecontact

;---------------------------------------------------------------------------
;Triple Kung Fu Palm (uses one super bar)
;OJt[˂iQ[WxPj
[State -1, Triple Kung Fu Palm]
type = ChangeState
value = 3000
triggerall = command = "TripleKFPalm"
triggerall = power >= 1000
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = statetype != A
trigger2 = hitdefattr = SC, NA, SA, HA
trigger2 = stateno != [3000,3050)
trigger2 = movecontact

;===========================================================================
;This is not a move, but it sets up var(1) to be 1 if conditions are right
;for a combo into a special move (used below).
;Since a lot of special moves rely on the same conditions, this reduces
;redundant logic.
[State -1, Combo condition Reset]
type = VarSet
trigger1 = 1
var(1) = 0

[State -1, Combo condition Check]
type = VarSet
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact
var(1) = 1

;---------------------------------------------------------------------------
;Fast Kung Fu Knee (1/3 super bar)
;Jt[RiQ[WxP^Rj
[State -1, Fast Kung Fu Knee]
type = ChangeState
value = 1070
triggerall = command = "FF_ab"
triggerall = power >= 330
trigger1 = var(1) ;Use combo condition (above)

;---------------------------------------------------------------------------
;Light Kung Fu Knee
;Jt[Rij
[State -1, Light Kung Fu Knee]
type = ChangeState
value = 1050
triggerall = command = "FF_a"
trigger1 = var(1) ;Use combo condition (above)

;---------------------------------------------------------------------------
;Strong Kung Fu Knee
;Jt[Rij
[State -1, Strong Kung Fu Knee]
type = ChangeState
value = 1060
triggerall = command = "FF_b"
trigger1 = var(1) ;Use combo condition (above)

;---------------------------------------------------------------------------
;Fast Kung Fu Palm (1/3 super bar)
;Jt[˂iQ[WxP^Rj
[State -1, Fast Kung Fu Palm]
type = ChangeState
value = 1020
triggerall = command = "QCF_xy"
triggerall = power >= 330
trigger1 = var(1) ;Use combo condition (above)

;---------------------------------------------------------------------------
;Light Kung Fu Palm
;Jt[˂ij
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 1000
triggerall = command = "QCF_x"
trigger1 = var(1) ;Use combo condition (above)

;---------------------------------------------------------------------------
;Strong Kung Fu Palm
;Jt[˂ij
[State -1, Strong Kung Fu Palm]
type = ChangeState
value = 1010
triggerall = command = "QCF_y"
trigger1 = var(1) ;Use combo condition (above)

;---------------------------------------------------------------------------
;Fast Kung Fu Upper (1/3 super bar)
;Jt[EEbp[
[State -1, Fast Kung Fu Upper]
type = ChangeState
value = 1120
triggerall = command = "upper_xy"
triggerall = power >= 330
trigger1 = var(1) ;Use combo condition (above)

;---------------------------------------------------------------------------
;Light Kung Fu Upper
;Jt[EEbp[ij
[State -1, Light Kung Fu Upper]
type = ChangeState
value = 1100
triggerall = command = "upper_x"
trigger1 = var(1) ;Use combo condition (above)

;---------------------------------------------------------------------------
;Strong Kung Fu Upper
;Jt[EEbp[ij
[State -1, Strong Kung Fu Upper]
type = ChangeState
value = 1110
triggerall = command = "upper_y"
trigger1 = var(1) ;Use combo condition (above)

;---------------------------------------------------------------------------
;Fast Kung Fu Blow (1/3 super bar)
[State -1, Fast Kung Fu Blow]
type = ChangeState
value = 1220
triggerall = command = "QCB_xy"
triggerall = power >= 330
trigger1 = var(1) ;Use combo condition (above)

;---------------------------------------------------------------------------
;Light Kung Fu Blow
[State -1, Light Kung Fu Blow]
type = ChangeState
value = 1200
triggerall = command = "QCB_x"
trigger1 = var(1) ;Use combo condition (above)

;---------------------------------------------------------------------------
;Strong Kung Fu Blow
[State -1, Strong Kung Fu Blow]
type = ChangeState
value = 1210
triggerall = command = "QCB_y"
trigger1 = var(1) ;Use combo condition (above)

;===========================================================================
;---------------------------------------------------------------------------
;Run Fwd
;_bV
[State -1, Run Fwd]
type = ChangeState
value = 100
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Run Back
;ރ_bV
[State -1, Run Back]
type = ChangeState
value = 105
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Kung Fu Throw
;
[State -1, Kung Fu Throw]
type = ChangeState
value = 800
triggerall = command = "y"
triggerall = statetype = S
triggerall = ctrl
triggerall = stateno != 100
trigger1 = command = "holdfwd"
trigger1 = p2bodydist X < 3
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H
trigger2 = command = "holdback"
trigger2 = p2bodydist X < 5
trigger2 = (p2statetype = S) || (p2statetype = C)
trigger2 = p2movetype != H


;===========================================================================
;---------------------------------------------------------------------------
;Stand Light Punch
;p`
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = time > 6

;---------------------------------------------------------------------------
;Stand Strong Punch
;p`
[State -1, Stand Strong Punch]
type = ChangeState
value = 210
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 5
trigger3 = (stateno = 230) && time > 6

;---------------------------------------------------------------------------
;Stand Light Kick
;LbN
[State -1, Stand Light Kick]
type = ChangeState
value = 230
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 7
trigger3 = (stateno = 230) && time > 9

;---------------------------------------------------------------------------
;Standing Strong Kick
;LbN
[State -1, Standing Strong Kick]
type = ChangeState
value = 240
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 5
trigger3 = (stateno = 230) && time > 6

;---------------------------------------------------------------------------
;Taunt
;
[State -1, Taunt]
type = ChangeState
value = 195
triggerall = command = "start"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Crouching Light Punch
;Ⴊݎp`
[State -1, Crouching Light Punch]
type = ChangeState
value = 400
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

;---------------------------------------------------------------------------
;Crouching Strong Punch
;Ⴊ݋p`
[State -1, Crouching Strong Punch]
type = ChangeState
value = 410
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact && time > 5)

;---------------------------------------------------------------------------
;Crouching Light Kick
;ႪݎLbN
[State -1, Crouching Light Kick]
type = ChangeState
value = 430
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact && time > 5)

;---------------------------------------------------------------------------
;Crouching Strong Kick
;Ⴊ݋LbN
[State -1, Crouching Strong Kick]
type = ChangeState
value = 440
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact && time > 5)

;---------------------------------------------------------------------------
;Jump Light Punch
;󒆎p`
[State -1, Jump Light Punch]
type = ChangeState
value = 600
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600
trigger2 = statetime >= 7
trigger3 = stateno = 1350 ;Air blocking

;---------------------------------------------------------------------------
;Jump Strong Punch
[State -1, Jump Strong Punch]
type = ChangeState
value = 610
triggerall = command = "y"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 630 ;jump_x or jump_a
trigger2 = movecontact
trigger3 = stateno = 1350 ;Air blocking

;---------------------------------------------------------------------------
;Jump Light Kick
[State -1, Jump Light Kick]
type = ChangeState
value = 630
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 1350 ;Air blocking

;---------------------------------------------------------------------------
;Jump Strong Kick
;󒆋LbN
[State -1, Jump Strong Kick]
type = ChangeState
value = 640
triggerall = command = "b"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 630 ;jump_x or jump_a
trigger2 = movecontact
trigger3 = stateno = 1350 ;Air blocking
















;AIpXe[giR}hH
;==AIpXe[g=========================================================================
;---------------------------------------------------------------------------
;Smash Kung Fu Upper (uses one super bar)
;X}bVEJt[EEbp[iQ[WxPj
[State -1, Smash Kung Fu Upper]
type = ChangeState
value = 3050
triggerall = var(30)=30
triggerall = power >= 1000
triggerall = statetype != A
trigger1 = ctrl
triggerall = p2statetype != L
triggerall = NumHelper(3050) <= 1
trigger1 = p2bodydist X = [0,35]
trigger1 = FrontEdgeBodyDist >= 100
trigger2 = hitdefattr = SC, NA, SA, HA
trigger2 = stateno != [3050,3100)
trigger2 = movecontact

;---------------------------------------------------------------------------
;Triple Kung Fu Palm (uses one super bar)
;OJt[˂iQ[WxPj
[State -1, Triple Kung Fu Palm]
type = ChangeState
value = 3000
triggerall = var(30)=30
triggerall = power >= 1000
trigger1 = statetype = S
trigger1 = ctrl
triggerall = p2statetype != L
triggerall = NumHelper(3000) <= 1
trigger1 = p2bodydist X = [0,270]
trigger2 = statetype != A
trigger2 = hitdefattr = SC, NA, SA, HA
trigger2 = stateno != [3000,3050]
trigger2 = movecontact

;---------------------------------------------------------------------------
;Jt[RiQ[WxP^Rjǌ
[State -1]
type = ChangeState
value = 1075
triggerall = var(30)=30
triggerall = statetype = A
triggerall = p2statetype = A
;trigger1 = p2bodydist X = [0,60]
trigger1 = (stateno = 1071) && time > 15
trigger2 = p2movetype = H
trigger2 = stateno = 1071
;---------------------------------------------------------------------------
;Jt[Rijijǌ
[State -1]
type = ChangeState
value = 1055
triggerall = var(30)=30
triggerall = statetype = A
triggerall = p2statetype = A
;trigger1 = p2bodydist X = [0,40]
trigger1 = (stateno = 1051) && time > 11
trigger2 = (stateno = 1061) && time > 11
trigger3 = (stateno = 1051) && p2movetype = H
trigger4 = (stateno = 1061) && p2movetype = H
;---------------------------------------------------------------------------
;Crouching Strong Kick
;Ⴊ݋LbN@A`ȂǏG430̑΍
[State -1, Crouching Strong Kick]
type = ChangeState
value = 440
triggerall = var(30)=30
triggerall = p2bodydist X <= 60
triggerall = statetype != A
triggerall = ctrl
triggerall = PrevStateNo = 195 || stateno = 195
trigger1 = p2stateno = 43098
trigger2 = p2stateno = 2109
;---------------------------------------------------------------------------
;Strong Kung Fu Knee
;Jt[Rij@430210ɂ
[State -1, Strong Kung Fu Knee]
type = ChangeState
value = 1060
triggerall = var(30)=30
triggerall = var(1) ;Use combo condition (above)
triggerall = p2bodydist X = [0,60]
triggerall = NumHelper(1060) <= 0
trigger1 = p2stateno = 43098
trigger2 = p2stateno = 2109

;---------------------------------------------------------------------------
;Kung Fu Throw
;
[State -1, Kung Fu Throw]
type = ChangeState
value = 800
triggerall = var(30)=30
triggerall = statetype = S
triggerall = ctrl
triggerall = stateno != 100
triggerall = PrevStateNo != 800
trigger1 = p2bodydist X < 3
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H
trigger2 = p2bodydist X < 5
trigger2 = (p2statetype = S) || (p2statetype = C)
trigger2 = p2movetype != H

;---------------------------------------------------------------------------
[State -1, Taunt]
type = VarSet
trigger1 = NumHelper(195) >= 1
trigger1 = var(30)=30 && Helper(195),stateno = 1950
var(29) = 1
[State -1, Taunt]
type = VarSet
trigger1 = NumHelper(195) >= 1
trigger1 = var(30)=30 && Helper(195),stateno != 1950
var(29) = 0

;Taunt
;
[State -1, Taunt]
type = ChangeState
value = 195
triggerall = var(30)=30
trigger1 = statetype != A
trigger1 = p2statetype != L
trigger1 = p2stateno != [120,160]
trigger1 = p2stateno != [820,821]
trigger1 = ctrl
;trigger1 = NumHelper - NumProjID(5) - ifelse(Helper(195),stateno = 1950,1,0) >= 3
trigger1 = NumHelper - NumProjID(5) - var(29) >= 2;3
trigger1 = stateno != 195
trigger1 = PrevStateNo != 195
trigger1 = p2bodydist Y > -200


;---------------------------------------------------------------------------
; 󒆃K[h
[State -1]
Type = ChangeState
Value = 140
triggerall = ctrl && (var(30)=30)
triggerall = StateType = A
trigger1 = P2MoveType = A
trigger1 = P2BodyDist X = [-50,100];150
;---------------------------------------------------------------------------
; Ⴊ݃K[h
[State -1]
Type = ChangeState
Value = 150
triggerall = ctrl && (var(30)=30)
triggerall = StateType != A
trigger1 = P2StateType = C
trigger1 = P2MoveType  = A
trigger1 = P2BodyDist X = [-50,100];150
;---------------------------------------------------------------------------
; K[h
[State -1]
Type = ChangeState
Value = 130
triggerall = ctrl && (var(30)=30)
triggerall = StateType != A
trigger1 = P2StateType != C
trigger1 = P2MoveType = A
trigger1 = P2BodyDist X = [-50,100];150


;---------------------------------------------------------------------------
;Fast Kung Fu Upper (1/3 super bar)
;Jt[EEbp[
[State -1, Fast Kung Fu Upper]
type = ChangeState
value = 1120
triggerall = var(30)=30
triggerall = power >= 330
trigger1 = var(1) ;Use combo condition (above)
trigger1 = p2bodydist X <= 40
trigger1 = p2statetype = A

;---------------------------------------------------------------------------
;Light Kung Fu Upper
;Jt[EEbp[ij
[State -1, Light Kung Fu Upper]
type = ChangeState
value = 1100
triggerall = var(30)=30
trigger1 = var(1) ;Use combo condition (above)
trigger1 = p2bodydist X <= 50
trigger1 = p2statetype = A

;---------------------------------------------------------------------------
;Strong Kung Fu Upper
;Jt[EEbp[ij
[State -1, Strong Kung Fu Upper]
type = ChangeState
value = 1110
triggerall = var(30)=30
trigger1 = var(1) ;Use combo condition (above)
trigger1 = p2bodydist X <= 60
trigger1 = NumHelper(1110) = 0
trigger1 = p2statetype = A

;===========================================================================
;---------------------------------------------------------------------------
;Standing Strong Kick
;LbN
[State -1, Standing Strong Kick]
type = ChangeState
value = 240
triggerall = var(30)=30
triggerall = p2bodydist X = [-90,-10]
triggerall = p2statetype != L
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 5
trigger3 = (stateno = 230) && time > 6

;---------------------------------------------------------------------------
;Stand Light Punch
;p`
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = var(30)=30
triggerall = p2bodydist X <= 40
triggerall = p2statetype != L
triggerall = p2statetype != C
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = time > 6

;---------------------------------------------------------------------------
;Stand Light Kick
;LbN
[State -1, Stand Light Kick]
type = ChangeState
value = 230
triggerall = var(30)=30
triggerall = p2bodydist X <= 50
triggerall = p2statetype != L
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 7
trigger3 = (stateno = 230) && time > 9

;---------------------------------------------------------------------------
;Stand Strong Punch
;p`
[State -1, Stand Strong Punch]
type = ChangeState
value = 210
triggerall = var(30)=30
triggerall = p2bodydist X <= 90;60
triggerall = p2statetype != L
triggerall = p2statetype != C
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 5
trigger3 = (stateno = 230) && time > 6




;---------------------------------------------------------------------------
;Crouching Light Kick
;ႪݎLbN@_Eɒǌ
[State -1, Crouching Light Kick]
type = ChangeState
value = 430
triggerall = var(30)=30
triggerall = p2bodydist X = [0,50+50]
triggerall = p2statetype = L
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact && time > 5)
;---------------------------------------------------------------------------
;Crouching Light Punch
;Ⴊݎp`
[State -1, Crouching Light Punch]
type = ChangeState
value = 400
triggerall = var(30)=30
triggerall = p2bodydist X <= 40
triggerall = p2statetype != A
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Crouching Strong Punch
;Ⴊ݋p`
[State -1, Crouching Strong Punch]
type = ChangeState
value = 410
triggerall = var(30)=30
triggerall = p2bodydist X = [0,40]
triggerall = p2statetype != L
trigger1 = NumHelper(410) <= 2
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact && time > 5)

;---------------------------------------------------------------------------
;Crouching Light Kick
;ႪݎLbN
[State -1, Crouching Light Kick]
type = ChangeState
value = 430
triggerall = var(30)=30
triggerall = p2bodydist X = [0,50]
triggerall = p2statetype != A
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact && time > 5)

;---------------------------------------------------------------------------
;Crouching Strong Kick
;Ⴊ݋LbN
[State -1, Crouching Strong Kick]
type = ChangeState
value = 440
triggerall = var(30)=30
triggerall = p2bodydist X <= 60
triggerall = p2statetype != A
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact && time > 5)


;---------------------------------------------------------------------------
;Fast Kung Fu Blow (1/3 super bar)
[State -1, Fast Kung Fu Blow]
type = ChangeState
value = 1220
triggerall = var(30)=30
triggerall = power >= 330
trigger1 = var(1) ;Use combo condition (above)
trigger1 = p2bodydist X <= 70
trigger1 = p2statetype != L
trigger1 = MoveContact

;---------------------------------------------------------------------------
;Light Kung Fu Blow
[State -1, Light Kung Fu Blow]
type = ChangeState
value = 1200
triggerall = var(30)=30
trigger1 = var(1) ;Use combo condition (above)
trigger1 = p2bodydist X = [0,170];Ȃ̂ŉɒǉ
trigger1 = p2bodydist X != [100,110]
trigger1 = p2statetype != L
trigger1 = NumHelper(1200) <= 0

;---------------------------------------------------------------------------
;Strong Kung Fu Blow
[State -1, Strong Kung Fu Blow]
type = ChangeState
value = 1210
triggerall = var(30)=30
trigger1 = var(1) ;Use combo condition (above)
trigger1 = p2bodydist X <= 70
trigger1 = p2statetype != L
trigger1 = MoveContact

;---------------------------------------------------------------------------
;Fast Kung Fu Knee (1/3 super bar)
;Jt[RiQ[WxP^Rj
[State -1, Fast Kung Fu Knee]
type = ChangeState
value = 1070
triggerall = var(30)=30
triggerall = power >= 330
trigger1 = var(1) ;Use combo condition (above)
trigger1 = p2statetype = S || p2statetype = C

;---------------------------------------------------------------------------
;Light Kung Fu Knee
;Jt[Rij
[State -1, Light Kung Fu Knee]
type = ChangeState
value = 1050
triggerall = var(30)=30
trigger1 = var(1) ;Use combo condition (above)
trigger1 = p2statetype = S || p2statetype = C
trigger1 = NumHelper(1050) = 0
trigger1 = p2movetype != H

;---------------------------------------------------------------------------
;Strong Kung Fu Knee
;Jt[Rij
[State -1, Strong Kung Fu Knee]
type = ChangeState
value = 1060
triggerall = var(30)=30
trigger1 = var(1) ;Use combo condition (above)
trigger1 = p2bodydist X = [0,60]
triggerall = NumHelper(1060) <= 0
trigger1 = p2statetype != L

;---------------------------------------------------------------------------
;Fast Kung Fu Palm (1/3 super bar)
;Jt[˂iQ[WxP^Rj
[State -1, Fast Kung Fu Palm]
type = ChangeState
value = 1020
triggerall = var(30)=30
triggerall = power >= 330
trigger1 = var(1) ;Use combo condition (above)
trigger1 = p2bodydist X >= 70
trigger1 = p2statetype != L

;---------------------------------------------------------------------------
;Light Kung Fu Palm
;Jt[˂ij
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 1000
triggerall = var(30)=30
triggerall = var(1) ;Use combo condition (above)
triggerall = p2statetype != L
trigger1 = NumHelper(1000) = 0
trigger1 = p2bodydist X >= 70
trigger2 = NumHelper(1000) = 1
trigger2 = p2bodydist X <= 200
trigger3 = NumHelper(1000) = 2
trigger3 = p2bodydist X <= 140

;---------------------------------------------------------------------------
;Strong Kung Fu Palm
;Jt[˂ij
[State -1, Strong Kung Fu Palm]
type = ChangeState
value = 1010
triggerall = var(30)=30
trigger1 = var(1) ;Use combo condition (above)
trigger1 = p2bodydist X <= 100
trigger1 = p2stateno = [120,160];155






;===========================================================================
;---------------------------------------------------------------------------
;Run Fwd
;_bV
[State -1, Run Fwd]
type = ChangeState
value = 100
trigger1 = 0;command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Run Back
;ރ_bV
[State -1, Run Back]
type = ChangeState
value = 105
trigger1 = 0;command = "BB"
trigger1 = statetype = S
trigger1 = ctrl




;---------------------------------------------------------------------------
;Jump Strong Punch
[State -1, Jump Strong Punch]
type = ChangeState
value = 610
triggerall = var(30)=30
triggerall = p2bodydist X <= 40
triggerall = p2statetype != L
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 630 ;jump_x or jump_a
trigger2 = movecontact

;---------------------------------------------------------------------------
;Jump Strong Kick
;󒆋LbN
[State -1, Jump Strong Kick]
type = ChangeState
value = 640
triggerall = var(30)=30
triggerall = p2bodydist X <= 130
triggerall = p2bodydist Y <= 60
triggerall = p2statetype != L
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 630 ;jump_x or jump_a
trigger2 = movecontact

;---------------------------------------------------------------------------
;Jump Light Punch
;󒆎p`
[State -1, Jump Light Punch]
type = ChangeState
value = 600
triggerall = var(30)=30
triggerall = p2bodydist X >= 130
triggerall = p2statetype != L
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600
trigger2 = statetime >= 7

;---------------------------------------------------------------------------
;Jump Light Kick
[State -1, Jump Light Kick]
type = ChangeState
value = 630
triggerall = var(30)=30
trigger1 = statetype = A
trigger1 = ctrl
trigger1 = NumHelper(630) <= 2









[State -1,2]
type       = Varset
triggerall = var(30) = 0
trigger1   = command = "AI_1"
trigger2   = command = "AI_2"
trigger3   = command = "AI_3"
trigger4   = command = "AI_4"
trigger5   = command = "AI_5"
trigger6   = command = "AI_6"
trigger7   = command = "AI_7"
trigger8   = command = "AI_8"
trigger9   = command = "AI_9"
trigger10  = command = "AI_10"
trigger11  = command = "AI_11"
trigger12  = command = "AI_12"
trigger13  = command = "AI_13"
trigger14  = command = "AI_14"
trigger15  = command = "AI_15"
trigger16  = command = "AI_16"
trigger17  = command = "AI_17"
trigger18  = command = "AI_18"
trigger19  = command = "AI_19"
trigger20  = command = "AI_20"
trigger21  = command = "AI_21"
trigger22  = command = "AI_22"
trigger23  = command = "AI_23"
trigger24  = command = "AI_24"
trigger25  = command = "AI_25"
trigger26  = command = "AI_26"
trigger27  = command = "AI_27"
trigger28  = command = "AI_28"
trigger29  = command = "AI_29"
trigger30  = command = "AI_30"
;trigger31  = 1
v          = 30
value      = 30
;AI I (RoundState3ȏ㎞AAIXCb`ꎞIOFF)
[State -1,2]
type=VarSet
trigger1   = RoundState > 2
trigger1   = var(30) = 30
v          = 30
value      = 1
[State -1,3]
type=VarSet
trigger1 = RoundState = 2
trigger1 = var(30) = 1
var(30) = 30
